dir = File.dirname(__FILE__)
$LOAD_PATH.unshift dir unless $LOAD_PATH.include?(dir)
require "styler/generator"

unless defined?(Sass)
  require 'sass'
end


module Styler
 if defined?(Rails) && defined?(Rails::Engine)
    class Engine < ::Rails::Engine
      require 'styler/engine'
    end

    module Rails
      class Railtie < ::Rails::Railtie
        rake_tasks do
          load "tasks/install.rake"
        end
      end
    end
  else
    styler_path = File.expand_path("../../app/assets/stylesheets", __FILE__)
    ENV["SASS_PATH"] = [ENV["SASS_PATH"], styler_path].compact.join(File::PATH_SEPARATOR)
  end
end
